All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.commands.remotefileselector
Class FindCommand

    com.sas.commands.remotefileselector.FindCommand

All Implemented Interfaces:
  ContentsChangedInterface, DynamicAttributeCommandInterface, BaseEntityInterface, BaseEntityValueInterface, EntityKeyInterface, com.sas.lang.StringDataInterface, com.sas.PublicClonable, com.sas.util.Command, com.sas.util.SimpleCommand, java.lang.Cloneable, java.rmi.Remote

    public class FindCommand

implements ContentsChangedInterface

This class provides the calls to the RemoteServerModel to search for various files. Not currently implemented.

Field Summary
`static java.lang.String` | `RB_KEY`

Fields inherited from interface com.sas.commands.DynamicAttributeCommandInterface
`COMMAND_NAME_PREFIX`

Constructor Summary
`FindCommand()` Constructor
`FindCommand(java.lang.String name)` Constructor
`FindCommand(java.lang.String name, java.lang.String actionClass)` Constructor

Method Summary
`void` | `execute(java.lang.Object o)` This method is called to perform the command.
`java.util.HashMap` | `getEventInfo()` Returns a Map of event keys to event values.
`java.lang.Object` | `getEventSource()` Returns the target of this command which is the implicit source of the Event that will be fired due to the changed state of the target.
`boolean` | `isContentsChanged()` Return a boolean indicating whether the operation carried out during the command's last execution caused the command's target object to change.
`void` | `setEventSource(java.lang.Object eventSource)`

Methods inherited from class com.sas.commands.BaseCommand
`getLocale, getName, getNextCommandName, getText, isExecutable, isUndoable, setLocale, setName, setText, undo`

Methods inherited from class com.sas.entities.BaseEntity
`clone, containsAttributeNamed, equals, equals, getAttribute, getAttribute, getAttributeCount, getAttributes, getEntityKey, getPropertyDescriptors, getStringAttribute, listAttributeNames, removeAllAttributes, removeAttribute, reset, sameEntity, setAttribute, setAttributes, setEntityKey, toString`

Methods inherited from interface com.sas.entities.BaseEntityValueInterface
`getAttribute, setAttribute`

Methods inherited from interface com.sas.util.Command
`clone`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

Constructor Detail

### FindCommand

    public FindCommand()

  Constructor

### FindCommand

    public FindCommand(java.lang.String name)

  Constructor

  Parameters:
    `name` -

### FindCommand

    public FindCommand(java.lang.String name,
                       java.lang.String actionClass)

  Constructor

  Parameters:
    `name` -
    `actionClass` -

Method Detail

### execute

    public void execute(java.lang.Object o)

  This method is called to perform the command.

  Specified by:
    `execute` in interface `com.sas.util.SimpleCommand`
  Specified by:
    `execute` in class `BaseCommand`
  Parameters:
    `o` -

### isContentsChanged

    public boolean isContentsChanged()

  Description copied from interface: `ContentsChangedInterface`
  Return a boolean indicating whether the operation carried out during the command's last execution caused the command's target object to change.

  Specified by:
    `isContentsChanged` in interface `ContentsChangedInterface`
  Returns:
    boolean indicating whether the command's target changed.

### getEventInfo

    public java.util.HashMap getEventInfo()

  Description copied from interface: `ContentsChangedInterface`
  Returns a Map of event keys to event values.

  The keys and values on the map are dependent on the command and the type of target object that it operates on.

  Specified by:
    `getEventInfo` in interface `ContentsChangedInterface`
  Returns:
    a Map of event keys to event values.

### getEventSource

    public java.lang.Object getEventSource()

  Description copied from interface: `ContentsChangedInterface`
  Returns the target of this command which is the implicit source of the Event that will be fired due to the changed state of the target.

  Specified by:
    `getEventSource` in interface `ContentsChangedInterface`
  Returns:
    the target Object of this command.

### setEventSource

    public void setEventSource(java.lang.Object eventSource)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.